Menu icon Foundation
Which version of Foundation am I using?

Hi. When today I tried to install Sass and Foundation. Everything went smoothly and the default site worked but I noticed the page said "This is version 4.3.2."

I hadn't realized I'd done anything to specify which version it was but I tried the much more complicated installation of Foundation 5. I think it was successful, I managed to create a new project at least and I'm assuming it did it with Foundation 5 because I followed the Foundation 5 instructions, but again I did not specify which version anywhere, I can't seem to find out if it is Foundation 5.

It doesn't say in the same place that Foundation 4 did. Also, while Foundation 4 seemed to work fine, my Foundation 5 default website is just text, I don't think the css/scss is working? I'm not sure what to do. I've not changed anything yet, shouldn't it just work like Foundation 4 or Bootstrap 2 and 3 did? :(

Thanks for any help.

versionFoundation 5installationinstallSassrails

Hi. When today I tried to install Sass and Foundation. Everything went smoothly and the default site worked but I noticed the page said "This is version 4.3.2."

I hadn't realized I'd done anything to specify which version it was but I tried the much more complicated installation of Foundation 5. I think it was successful, I managed to create a new project at least and I'm assuming it did it with Foundation 5 because I followed the Foundation 5 instructions, but again I did not specify which version anywhere, I can't seem to find out if it is Foundation 5.

It doesn't say in the same place that Foundation 4 did. Also, while Foundation 4 seemed to work fine, my Foundation 5 default website is just text, I don't think the css/scss is working? I'm not sure what to do. I've not changed anything yet, shouldn't it just work like Foundation 4 or Bootstrap 2 and 3 did? :(

Thanks for any help.

Clara over 5 years ago

Ok, when I try and install Foundation it says "successfully installed foundation (1.0.4)" which I am assuming is really old and why nothing is working? :( What could I be doing wrong, thanks.

Clara over 5 years ago

Ps. i'm running Windows 7 64-bit

Seeker over 5 years ago

I am dealing with the same issue. I'm not sure what version of Foundation I am running.

I followed the instruction on Getting started page for sass ( http://foundation.zurb.com/docs/sass.html )

$ foundation version
v1.0.4

I suspect "v1.0.4" is refering to the installer or what ever extention they have made for compass!!

The question is a simple one. I have a folder for my project created by

 $ foundation new my_project

How can I tell what version of foundation is used by my_project?

Seeker over 5 years ago

I discovered this:

 $ gem  list --local

it produces a list that includes "zurb-foundation (4.3.2)" so I guess I am running F4. hummm I never asked to install an older version , what's going on!

Seeker over 5 years ago

OK I got it.

I found this: http://foundation.zurb.com/forum/posts/292-compass-:-updating-gem-from-foundation-432-to-foundation-5

'Foundation 4 gem is called "zurb-foundation" and the Foundation 5 gem is called "foundation" so the v4 will not update to 5 as they are different gem's.'

foundation CLI version 1.04 makes F5 projects

To look up a project's foundation version, look into /bower_components/foundation/bower.json

it should look like this:

 {
  "name": "foundation",
  "version": "5.0.2",
  "main": ["css/foundation.css", "js/foundation.js"],
  "dependencies": {
    "jquery" : ">= 2.0.0",
    "modernizr": ">= 2.6.2"
  },
  "private": true
} 

Rafi Benkual over 5 years ago

The "v1.0.4" you are referring to is the version of the Foundation Rails Gem, not the Foundation install.

Jovan Petrovic over 5 years ago

I have the same problem on Windows 7/x64
But, I don't want to uninstall previous zurb-foundation versions (4.3.2) Since I have projects that use older versions. I used bundler, thus I run 4.2.1, 4.3.1 and 4.3.1 I've been changing some core files on foundation on those versions so that's why I didn't update them, and this is the reason I run multiply versions. Now I want to start new project, and I can not start F5.
One I've installed it I've found it under foundation-1.0.4.

Any help?

Clara about 4 years ago

Thanks Seeker. Just googled to find this out again only to come across my old post from 18 months ago. xD Realised I never thanked anybody. Oops, sorry.

This part was very helpful:

To look up a project's foundation version, look into /bower_components/foundation/bower.json

it should look like this:

{
"name": "foundation",
"version": "5.0.2",

Someone about 3 years ago

This is now even more unnecessarily super confusing. I can only assume version 6 is in use in this code I inherited, because there is no version number ANYWHERE, not even in the bower file. It was bad enough forcing everyone to use Bower and the like.

Jacob Brooks about 3 years ago

Hey "Someone" have you checked the final output source code for app.css? Usually the Foundation Version number is commented out in that code as well. If you inherited a version of Foundation there is no telling what the previous owner did to the framework, so its hard to tell why there wouldnt be a version number in the bower.json file. Just wanted to give you another spot to look and see if you can figure out what you are using.

Jacob